# Uses of Class
org.apache.felix.http.base.internal.handler.FilterHandler

Packages that use FilterHandler
Package
Description
org.apache.felix.http.base.internal.dispatch
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime.dto

## Uses of FilterHandler in org.apache.felix.http.base.internal.dispatch

Constructors in org.apache.felix.http.base.internal.dispatch with parameters of type FilterHandler
Modifier
Constructor
Description
``
`InvocationChain(@NotNull ServletHandler servletHandler, @NotNull FilterHandler[] filterHandlers)`

## Uses of FilterHandler in org.apache.felix.http.base.internal.handler

Methods in org.apache.felix.http.base.internal.handler with parameters of type FilterHandler
Modifier and Type
Method
Description
`int`
FilterHandler.`compareTo(FilterHandler other)`

## Uses of FilterHandler in org.apache.felix.http.base.internal.registry

Methods in org.apache.felix.http.base.internal.registry that return FilterHandler
Modifier and Type
Method
Description
`@NotNull FilterHandler[]`
FilterRegistry.`getFilterHandlers(@Nullable ServletHandler handler, @NotNull jakarta.servlet.DispatcherType dispatcherType, @NotNull String requestURI)`
Get all filters handling the request.
`@NotNull FilterHandler[]`
PerContextHandlerRegistry.`getFilterHandlers(@Nullable ServletHandler servletHandler, @NotNull jakarta.servlet.DispatcherType dispatcherType, @NotNull String requestURI)`
Get filter handlers for the request uri
`FilterHandler[]`
HandlerRegistry.`getFilters(@NotNull ServletResolution pr, @NotNull jakarta.servlet.DispatcherType dispatcherType, @NotNull String requestURI)`
Methods in org.apache.felix.http.base.internal.registry with parameters of type FilterHandler
Modifier and Type
Method
Description
`void`
FilterRegistry.`addFilter(@NotNull FilterHandler handler)`
Add a filter.
`void`
PerContextHandlerRegistry.`registerFilter(@NotNull FilterHandler handler)`
Add a filter

## Uses of FilterHandler in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type FilterHandler
Modifier and Type
Method
Description
`static @NotNull org.osgi.service.servlet.runtime.dto.FilterDTO[]`
FilterDTOBuilder.`build(@NotNull FilterHandler[] handlers)`
Build an array of filter DTOs from a filter handler array
`static @NotNull org.osgi.service.servlet.runtime.dto.FilterDTO`
FilterDTOBuilder.`build(@NotNull FilterHandler handler, int reason)`
Build a filter DTO from a filter handler